<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//08-02-2021 la construcción unserialize(OPERACIONES)[$_SESSION['accion']] da error 500 en Carreras
$arrayOperaciones=unserialize(OPERACIONES);

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-gs1.php');



if($_GET['traza']=='si') {
	echo '<p>pickingpacking: '.$_SESSION['parametrosSGA']['PickingPacking'].'</p>';
	echo '<p>gestionPaletizado: '.$_SESSION['gestionPaletizado'].'</p>';
}

////////////////////////////////
//// para pruebas manuales /////
////////////////////////////////
//$desactivaScannerBluetooth=false;
////////////////////////////////


//SGAOperacionesLog#PXPU#PMO#LISTADOOPERACIONES#1;PXPU;PREC;TL200173 

$peticion='SGAOperacionesLog#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOOPERACIONES#'.$_SESSION['almacen'].';'.$_SESSION['operacion']['Empresa'].';'.$_SESSION['accion'].';'.$_SESSION['operacion']['NumOperacion'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo '<p>Recarga de datos operacion:</p>';
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
if(!$resultado[0]['BloqueoProxium']) {
		
	
	$_SESSION['operacion']=$resultado[0];
	
	$requierePaletizar=( $_SESSION['operacion']['ProcedenciaPicking']=='S' );
	
	$productos=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['ProductosPrecintables']);
	$paletsPicking=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['PaletsPicking']);
	

	
	
	//CONTROL DE FICHAJES
	
	$trabajadores=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['Trabajadores']);
		
	$hayTrabajadores=false;
	$unSoloTrabajador=false;
	$fichajesIniciados=false;
		
	if(is_array($trabajadores) && count($trabajadores)>0) {
		
		$hayTrabajadores=true;
			
		if(count($trabajadores)==1) $unSoloTrabajador=true;
			
		foreach($trabajadores as $trabajador) {
			
			$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['OtrasOrdenes']);
			foreach($otrasOrdenes as $otraOrden) if($otraOrden['FichajeIniciado']=='S') { $fichajesIniciados=true; }
		}
		
	}
	
	if($_POST['enviarFormularioInicio']=='1') {
	
		//SGAOperacionesLog#PXPU#PMO#INICIOOPERACION#1;PXPU;TL200173;Regimen;
		//Articulo;Idioma;Precinta;Lote;FechaCaducidad;NumSerie;
		//PaletOrigen;PaletDestino;TipoPrecinta;PrecintaInicial,Observaciones
		
		$peticion='SGAOperacionesLog#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INICIOOPERACION#'.$_SESSION['almacen'].';'.$_SESSION['operacion']['Empresa'].';'.$_SESSION['operacion']['NumOperacion'];
		$peticion.=';'.$_GET['Regimen'].';'.$_GET['Producto'].';'.$_GET['Idioma'].';'.$_GET['Precinta'].';'.$_GET['Lote'].';'.$_GET['FechaCaducidad'].';'.$_GET['NumSerie'];
		$peticion.=';'.$_POST['paletPicking'].';'.$_POST['paletExpedicion'].';'.$_POST['tipoPrecinta'].';'.$_POST['precintaInicial'].';'.$_POST['identificador'].';'.$_POST['lote'];
		
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo '<p>Llamada inicio:</p>';
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$valores=explode('#',$resultado[0]['Error']);
		
		if($valores[0]=='1') {
			?>
			<script>
				alert('Error: <?php echo $valores[1]; ?>',null,'error');
			</script>
			<?php
		}
		else {
		
			if($_GET['traza']!='si') {
				?>
				<script>
					$('#popupCargando').show();
					window.location='operacion-logistica.php';
				</script>
				<?php
			}
			
		}
	
	}
	
	?>
	
	<h2>Orden de <?php echo $arrayOperaciones[$_SESSION['accion']]; ?> Nº <?php echo $_SESSION['operacion']['NumOperacion']; ?></h2>
	<table class="tablaFormateada" style="margin:0 auto">
	  <tr>
		<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
		<th>Nº Orden</th>
			<th>Fecha</th>
			<th>Cliente</th>
			<th>Estado</th>
		</tr>
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $_SESSION['operacion']['Empresa']; ?></td><?php } ?>
			<td valign="middle"><?php echo $_SESSION['operacion']['NumOperacion']; ?></td>
			<td valign="middle"><?php echo fechaNacional($_SESSION['operacion']['Fecha']); ?></td>
			<td valign="middle"><?php echo $_SESSION['operacion']['ClienteNombre']; ?></td>
			<td valign="middle"><?php echo $_SESSION['operacion']['Estado']; ?></td>
		</tr>
	</table>
	<br />
	<table class="tablaFormateada">
	  <tr>
	    <th>Código</th>
				<th>Descripción</th>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $comportamiento['NombreSQL']!='NumSerie') { ?><th><?php echo $comportamiento['Nombre']; ?></th>
				<?php } ?>
				<?php } ?>
		<?php if($requierePaletizar) { ?><th>Palet Picking</th><?php } ?>
		<th>Cant.</th>
				<th>Cajas</th>
				<th><?php echo $arrayOperaciones[$_SESSION['accion']]; ?></th>
				<th>Anulado</th>
				<th>Pendiente</th>
                <th>Cajas</th>
			</tr>
			 <?php
			 foreach($productos as $producto) {
			 

				 
				 $coincidencia=true;
				 
				 if($producto['Producto']!=$_GET['Producto']) $coincidencia=false;
				 foreach($_SESSION['comportamientos'] as $comportamiento) if(trim($producto[$comportamiento['NombreSQL']])!=$_GET[$comportamiento['NombreSQL']]) $coincidencia=false;
				 
				 if($coincidencia) {
				 
					 $tiposPrecinta=explode(',',$producto['TiposPrecinta']);
					 $tiposPrecintaSeleccionada=$producto['TiposPrecintaSeleccionada'];
					 $pedirLote=($producto['Lote']=='' || $producto['Lote']=='-');
					 
					 if($_GET['traza']=='kk') echo '<p>Traza 2</p>';
					 
					 ?>
	  <tr Producto="<?php echo $producto['Producto']; ?>" <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?><?php echo $comportamiento['NombreSQL']; ?>="<?php echo $producto[$comportamiento['NombreSQL']]; ?>" <?php } ?> Palets="<?php echo $producto['Contenedor']; ?>">
					   <td valign="top"><?php echo $producto['Producto']; ?></td>
						<td valign="top"><?php echo $producto['ProductoDescripcion']; ?></td>
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S' && $comportamiento['NombreSQL']!='NumSerie') { ?>
								<td valign="top">
								<?php if($comportamiento['NombreSQL']=='Lote' && $pedirLote ) { ?>
								<img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:20px"/><br /><span style="font-size:0.9em">Informar</span>
								<?php } else { ?>
								<?php echo $producto[$comportamiento['NombreSQL']]; ?>
								<?php } ?>
								</td>
							<?php } ?>
						<?php } ?>
						<?php if($requierePaletizar) { ?>
						<td align="center" valign="top">
						<?php
						$contenedores=explode(',',$producto['Contenedor']);
						$cantidadesContenedores=explode(',',$producto['ContenedorCant']);
						$cajasContenedores=explode(',',$producto['ContenedorCajas']);
						
						foreach($contenedores as $clave=>$contenedor) {
							$cadena='<br><span style="font-size:0.75em">(';
							$cadena.=$cantidadesContenedores[$clave].' uns';
							if($_SESSION['verEnCajas']=='S') $cadena.=' / '.formateaNumeroDecimal($cajasContenedores[$clave]).' cajas';
							$cadena.=')';
							echo $contenedor.$cadena.'</span><br>';
						}
						?>						</td>
		<?php } ?>
		<td align="right" valign="top"><?php echo $producto['Cantidad']; ?></td>
						<td align="right" valign="top"><?php echo formateaNumeroDecimal($producto['CantidadCajas']); ?></td>
						<td align="right" valign="top"><?php echo $producto['CantidadPreparada']; ?></td>
						<td align="right" valign="top"><?php echo $producto['CantidadAnulada']; ?></td>
						<td align="right" valign="top"><?php echo $producto['CantidadPendiente']; ?></td>
                        <td align="right" valign="top"><?php echo formateaNumeroDecimal($producto['CantidadPendienteCajas']); ?></td>
	  </tr>
					<?php
				}
			}
			?>
	</table>
    
    
    <?php if($producto['InstruccionesPreparacion']) { ?>
    
    <table id="tablaObservacionesComercial" class="tablaFormateada" style="min-width:480px;margin:20px auto">
		<tr><th style="height:20px">Instrucciones de preparación</th></tr>
		<tr><td valign="top" style="font-weight:bold;font-size:1.3em"><?php if($producto['InstruccionesPreparacion'] && is_string($producto['InstruccionesPreparacion'])) echo nl2br($producto['InstruccionesPreparacion']); ?></td></tr>
	</table>
    
    <?php } ?>
	
	
	<form id="formulario" name="formulario" method="post" action=""  style="margin-top:20px">
		
		<?php if($requierePaletizar) { ?>
		
		<p class="sinMargen">Palet origen:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPaletPicking" /><input id="paletPicking" name="paletPicking" type="text" class="campo campoOrdenPreparacion" style="left:5px;" value="<?php echo $_POST['paletPicking']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPaletPicking" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		
		<p class="sinMargen" style="margin-top:15px">Palet destino:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPaletExpedicion" /><input id="paletExpedicion" name="paletExpedicion" type="text" class="campo campoOrdenPreparacion" style="left:5px;" value="<?php echo $_POST['paletExpedicion']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPaletExpedicion" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		
		<?php } ?>
		
	    <?php if($pedirLote) { ?>
		
		<p class="sinMargen" style="margin-top:15px">Lote:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLote" /><input name="lote" type="text" class="campo campoOrdenPreparacion campoGS1" id="lote" style="left:5px;" value="<?php echo $_POST['lote']; ?>" maxlength="30" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarLote" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		
		<?php } ?>
		
		 <p class="sinMargen" style="margin-top:15px">Tipo de Precinta:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<input id="tipoPrecinta" name="tipoPrecinta" type="text" class="campo campoOrdenPreparacion" style="left:5px;" value="<?php if( is_array($tiposPrecinta) && count($tiposPrecinta)==1 ) echo $tiposPrecinta[0]; else if($_POST['tipoPrecinta']) echo $_POST['tipoPrecinta']; else if($tiposPrecintaSeleccionada) echo $tiposPrecintaSeleccionada; ?>" readonly autocomplete="off"/>
		</div>
		
		<p class="sinMargen" style="margin-top:15px">Precinta inicial:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPrecintaInicial" /><input id="precintaInicial" name="precintaInicial" type="text" class="campo campoOrdenPreparacion campoPrecinta" style="left:5px;" value="<?php echo $_POST['precintaInicial']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPrecintaInicial" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		
		<p class="sinMargen" style="margin-top:15px">Identificador de la Operación:</p>
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoIdentificador" /><input id="identificador" name="identificador" type="text" class="campo campoOrdenPreparacion tecladoAutomatico" style="left:5px;" value="<?php echo $_POST['identificador']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarIdentificador" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>

		<input type="hidden" name="enviarFormularioInicio" id="enviarFormularioInicio" value="0"/>
		
		<p><input type="button" name="botonAceptarInicio" id="botonAceptarInicio" value="Iniciar <?php echo $arrayOperaciones[$_SESSION['accion']]; ?>" class="boton"/></p>
		<p><input type="button" name="botonCancelarInicio" id="botonCancelarInicio" value="Cancelar" class="boton reducido"/></p>
	
	</form>
	
	<?php if( is_array($tiposPrecinta) && count($tiposPrecinta)>1 ) { ?>
	
	<div id="popupPrecintas" class="popup" style="display:none;z-index:20000">
		<div class="popupContenidoSimple" style="text-align:left">
			<?php
			foreach($tiposPrecinta as $precinta) {
				?><p><label><input type="radio" name="selectorTipoPrecinta" id="selectorTipoPrecinta<?php echo $precinta; ?>" value="<?php echo $precinta; ?>"  class="selectorTipoPrecinta checkGrande" <?php if($precinta==$_POST['tipoPrecinta'] || (!$_POST['tipoPrecinta'] && $precinta==$tiposPrecintaSeleccionada) ) { ?>checked<?php } ?>/> <?php echo $precinta; ?></label></p><?php
			}
			?>
			<p style="text-align:center"><input id="botonCierraPrecintas" type="button" value="Cerrar" class="boton"/></p>
		</div>
	</div>
	
	<?php } ?>
	
	<script>
	
	<?php if($requierePaletizar) { ?>
	
	var paletsPicking=new Array();
	<?php foreach( $paletsPicking as $palet ) { ?>
	paletsPicking.push('<?php echo $palet['Palet']; ?>');
	<?php } ?>
	
	<?php } ?>
	
	var secuenciaCamposInicio=new Array();
	<?php if($requierePaletizar) { ?>
	secuenciaCamposInicio.push('paletPicking');
	secuenciaCamposInicio.push('paletExpedicion');
	<?php } ?>
	<?php if($pedirLote) { ?>
	secuenciaCamposInicio.push('lote');
	<?php } ?>
	secuenciaCamposInicio.push('tipoPrecinta');
	secuenciaCamposInicio.push('precintaInicial');
	secuenciaCamposInicio.push('identificador');
	
	function reiniciaCamposInicio() {
	
		for (i=0;i<secuenciaCamposInicio.length;i++) {
			$('#'+secuenciaCamposInicio[i]).val('');
		}
	
	}
	
	function focoSiguienteInicio(campoActual) {
		
		var encontradoActual=false;
			
		if( campoActual=='' && $('#'+secuenciaCamposInicio[0]).val()=='' ) foco=secuenciaCamposInicio[0];
		else {
			for (i=0;i<secuenciaCamposInicio.length;i++) {
				if(secuenciaCamposInicio[i]==campoActual || campoActual=='') encontradoActual=true;
				if( encontradoActual && !$('#'+secuenciaCamposInicio[i+1]).prop('readonly') && $('#'+secuenciaCamposInicio[i+1]).val()=='' ) {
					foco=secuenciaCamposInicio[i+1];
					break;
				}
			}
		}
				
		$('#'+foco).focus();
				
		return foco;
	
	}
	
	function validacion() {
	
		var resultado=true;
		
		if( !$('#tipoPrecinta').val() ) {
			alert('Debes indicar el tipo de Precinta para esta Operación.',$('#tipoPrecinta'),'error');
			resultado=false;
		}
		else if( !$('#precintaInicial').val() ) {
			alert('Debes indicar el número de la primera Precinta para esta Operación.',$('#precintaInicial'),'error');
			resultado=false;
		}
		<?php if($requierePaletizar) { ?>
		else if( !$('#paletPicking').val() ) {
			alert('Debes indicar el palet de Picking origen.',$('#paletPicking'),'error');
			resultado=false;
		}
		else if( $('#paletPicking').val() && !paletsPicking.includes( $('#paletPicking').val() ) ) {
			alert('El palet indicado no corresponde al Picking hecho para este artículo.',$('#paletPicking'),'error');
			resultado=false;
		}
		else if( !$('#paletExpedicion').val() ) {
			alert('Debes indicar el palet de expedición destino.',$('#paletExpedicion'),'error');
			resultado=false;
		}
		<?php } ?>
		<?php if($pedirLote) { ?>
		else if( !$('#lote').val() || $('#lote').val()=='-' ) {
			
			var mensaje='Es obligatorio especificar el lote';
			
			if( $('#lote').val()=='-' ) {
				mensaje+=' y no puede informarse un guión';
				$('#lote').val('');
			}
			mensaje+='.';
			
			alert(mensaje,$('#lote'),'error');
			resultado=false;
		}
		else if( $('#lote').val().length > 30 ) {
			
			alert('Error: La longitud del lote no puede exceder los 30 caracteres.',$('#lote'),'error');
			resultado=false;
		}
		<?php } ?>
		
		
		return resultado;
	
	}
	
	<?php if(!$desactivaScannerBluetooth) { ?>
	
	var lecturaScanner=new Array();
	var cadenaLectura='';
	var esLecturaGS1Correcta=false;
	
	function reiniciaScanner() {
		lecturaScanner=new Array();
		cadenaLectura='';
		esLecturaGS1Correcta=false;
	}
	
	<?php } ?>
	
	$(document).ready(function() {
	
		<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
		//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
	
		$('#precintaInicial').on('keydown',function(e){
		
			e.preventDefault();
			var resultado='';
			
			if(e.which==13 || e.key=='Enter') {
				console.log('Se procede a hacer un trigger change');
				$(this).trigger('change');
			}
			else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which , e.key ] );
			
		});
		
		<?php } ?>
		
		<?php if(!$desactivaScannerBluetooth) { ?>
		
		$(".campoGS1").on('keydown',function(e){
	
			e.preventDefault();
			var resultado='';
			
			if(e.which==13 || e.key=='Enter') {
				$(this).trigger('change');
			}
			else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which , e.key ] );
		}); 
		
		<?php } ?>
	
		$('.campoGS1').on('change',function(){
				
			//Método que detecta que se ha hecho una nueva lectura.
			//tenemos que comprobar si procede del scanner o procede del teclado emergente
			
			var lecturaFinal='';
			var resultado='';
			
			<?php if($desactivaScannerBluetooth) { ?>
			
			//console.log('Escanner desactivado o lectura especial');
			lecturaFinal=transformaLecturaManualAlFormatoScanner( $(this).val() );
			resultado=lecturaFinal;
			
			<?php } else { ?>
			
			if(lecturaScanner.length > 0) {
			
				//console.log('Lectura detectada desde scanner.');
				
				lecturaFinal=limpiaLecturaDesdeScanner( lecturaScanner );
				resultado=pintaLecturaHumana( lecturaFinal );
				
				//console.log('lectura final: '+lecturaFinal + ' > resultado: ' + resultado);
			
				if(resultado=='error')  {
				
					//console.log('hay error GS1 en la siguiente lectura: '+lecturaScanner);
					
					var mostrarLectura=limpiaLecturaDesdeScannerNoGS1(lecturaScanner);
					$(this).val( mostrarLectura );
						
				}
				else {
				
					console.log('RESULTADO OK GS1');
				
					if( $(this).attr('id')=='lote') resultado=extraeValorIdentificador(resultado,'10');
				
					$(this).val( resultado );
	
				}
			}
			else {
				//console.log('Lectura manual desde teclado emergente detectada.');
				lecturaFinal=transformaLecturaManualAlFormatoScanner( $(this).val() );
				resultado=lecturaFinal;
			}
			
			<?php } ?>
			
			
			reiniciaScanner();
			
		});
	
		$('#precintaInicial').on('change',function(){
					
			<?php if( $desactivaScannerBluetooth || $desactivaScannerBluetoothParaPrecinta ) { ?>
			//Si está desactivado el scanner de bluetooth en general o está desactivado específicamente para precintas
			
			var lecturaFinal=$(this).val();
			console.log('lecturaFinal: '+lecturaFinal);
			
			<?php } else { ?>
			
			if(lecturaScanner.length>0) {
			
				var lecturaFinal='';
				
				lecturaFinal=limpiaLecturaDesdeScannerPrecinta( lecturaScanner );
				
				reiniciaScanner();
	
			}
			
			<?php } ?>
			
			var expresion = /^[0-9]*$/;
			var soloNumeros = expresion.test(lecturaFinal);
			
			var precinta;
			if(soloNumeros) precinta=lecturaFinal;
			else precinta=extraePrecintaDeURL(lecturaFinal);
			
			console.log('precinta extraida: '+precinta);
			
			$('#precintaInicial').val( precinta );
	
			
			
			
			
		});
		
		$('#borrarPrecintaInicial').on('click',function(){
		
			<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
			//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
		
			reiniciaScanner();
			
			<?php } ?>
			
		});
	
		$('#botonAceptarInicio').on("click",function(e){
		
			if( validacion() ) {
				$('#popupCargando').show();
				$('#enviarFormularioInicio').val(1);
				$('#formulario').submit();
			}
			
		});
		
		$('#botonCancelarInicio').on('click',function(){
		
			$('#popupCargando').show();
			window.location='operacion-logistica.php';
			
		});
		
	
		
		
		//Metodos genericos teclado y borrar campos
		
		$(document).on('click','.iconoTeclado',function(){
			
			var campo=$(this).siblings('input');
			
			$('#teclado').show();
			$('#valor').val( campo.val() );
			$('#valorOculto').val( campo.val() );
			$('#enter').attr('campoValor', campo.attr('id') );
			$('#enter').attr('forzarEnter','si');
			
		});
		
		$(document).on('click','.tecladoAutomatico',function(){
			
			$('#teclado').show();
			$('#valor').val( $(this).val() );
			$('#valorOculto').val( $(this).val() );
			$('#enter').attr('campoValor', $(this).attr('id') );
			$('#enter').attr('forzarEnter','si');
			
		});
		
		$(document).on('click','.iconoBorrar',function(){
			
			var campo=$(this).siblings('input');
			campo.val('');
			campo.focus();
			
		});
		
		$('.campoOrdenPreparacion').on('change',function(){
			
			var campoActual=$(this).attr('id');
			
			console.log('change en campo: '+campoActual+' / valor: '+$(this).val());
			
			<?php if(!$desactivaScannerBluetooth) { ?>
			/*
			if ( campoActual!='precintaInicial' && campoActual!='tipoPrecinta' && lecturaScanner.length>0 ) {
			
				
				console.log('array de lectura antes change: ');
				console.log(lecturaScanner);
			
				var mostrarLectura=limpiaLecturaDesdeScannerNoPrecinta(lecturaScanner);
				$(this).val(mostrarLectura);
				reiniciaScanner();
				
				console.log('array de lectura tras change: ');
				console.log(lecturaScanner);
				console.log('cadena de lectura tras change: '+cadenaLectura);
				
				
				
			}
			*/
			<?php } ?>
			
			focoSiguienteInicio(campoActual);
			
		});
		
		// Gestion popup precintas
		<?php if( is_array($tiposPrecinta) && count($tiposPrecinta)>1 ) { ?>
		
		$('#tipoPrecinta').on('click',function(){
			$('#popupPrecintas').show();
		});
	
		$('#botonCierraPrecintas').on('click',function(){
			$('#popupPrecintas').hide();
		});
				
		$('.selectorTipoPrecinta').on('change',function(){
			var valor=$('input:radio[name=selectorTipoPrecinta]:checked').val();
			$('#tipoPrecinta').val( valor );
			$('#popupPrecintas').hide();
			focoSiguienteInicio('tipoPrecinta');
		});
		
		<?php } ?>
		
		focoSiguienteInicio('')
	
	});
	
	</script>
	<?php
	
	//echo "<p>Hay trabajadores: ".$hayTrabajadores."</p>";
	//echo "<p>Hay fichajes iniciados: ".$fichajesIniciados."</p>";
	
}
else {
	?>
    <p class="error"><img src="<?php echo DIR_IMAGENES; ?>/iconos/error.png" width="50" height="50" /><br /><?php echo $resultado[0]['BloqueoProxium']; ?></p>
    <p><input type="button" name="botonVolver" id="botonVolver" value="Volver" class="boton reducido"/></p>
    <script>
	
	$(document).ready(function() {
	
		$('#botonVolver').on('click',function(){
			
			$('#popupCargando').show();
			window.location='operacion-logistica.php';
				
		});
		
	});
	
	</script>
    <?php
}

//include($rutaPhp.$rutaHtml.'/maqueta/menu-operacion-logistica.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>